﻿using System;
using System.Data;
using System.Data.SqlClient;
using System.Windows.Forms;

namespace Servise.Forms
{
    public partial class Main : Form
    {


        DataSet ds;
        SqlDataAdapter adapter;
        DataBase conect = new DataBase();
        public char sexz;
        public Main()
        {
            InitializeComponent();
            dataPeople.SelectionMode = DataGridViewSelectionMode.FullRowSelect;
            dataPeople.AllowUserToAddRows = false;


        }

        private void FomClose(object sender, FormClosedEventArgs e)
        {
            Application.Exit();
        }

        /// <summary>
        /// обновление информации в dataGreed
        /// </summary>
        /// <param name="sql"></param>
        /// <param name="data"></param>
        /// <param name="s"></param>
        public static void upd(string sql, DataGridView data, string s)
        {
            DataBase conect = new DataBase();
            data.SelectionMode = DataGridViewSelectionMode.FullRowSelect;
            data.AllowUserToAddRows = false;

            if (conect.getConect().State == System.Data.ConnectionState.Open)
            {
                conect.closeConect();
            }
            conect.openConect();
            var adapter = new SqlDataAdapter(sql, conect.getConect());

            var ds = new DataSet();
            adapter.Fill(ds);
            data.DataSource = ds.Tables[0];

            /// делаем недоступным столбец id для изменения
            if (s != "")
            {
                data.Columns[s].ReadOnly = true;
            }
            conect.closeConect();


        }

        private void Selected(object sender, EventArgs e)
        {
            switch (tabControl1.SelectedIndex)
            {
                case 0:
                    upd("SELECT * FROM employees", dataPeople, "id_employee");
                    dataPeople.Columns[8].ReadOnly = true;
                    dataPeople.Columns[7].ReadOnly = true;
                    dataPeople.Columns[6].ReadOnly = true;
                    dataPeople.Columns[5].ReadOnly = true;
                    dataPeople.Columns[4].ReadOnly = true;
                    dataPeople.Columns[3].ReadOnly = true;
                    dataPeople.Columns[2].ReadOnly = true;
                    dataPeople.Columns[1].ReadOnly = true;
                    dataPeople.Columns[0].ReadOnly = true;
                    break;
                case 1:
                    upd("SELECT * FROM brand", dataBrand, "id_brand");
                    break;
                case 2:
                    upd("SELECT * FROM client", dataClient, "id_client");

                    dataClient.Columns[3].ReadOnly = true;
                    dataClient.Columns[2].ReadOnly = true;
                    dataClient.Columns[1].ReadOnly = true;
                    dataClient.Columns[0].ReadOnly = true;
                    break;
                case 3:
                    upd("SELECT id_poch,name + ' ' + surname + ' ' +patronymic as 'Employee', name_client + ' ' + phone_client as 'Client',time_poch FROM poch, client,employees where client.id_client = poch.id_client and employees.id_employee=poch.id_employ", dataPoch, "id_poch");
                    addVariant(Client, "client", "name_client + ' ' + phone_client", "id_client");
                    addVariant(emploe, "employees", "name + ' ' + surname + ' ' +patronymic", "id_employee");
                    break;
                case 4:
                    upd("SELECT * FROM providers", dataProviders, "id_provider");
                    break;
                case 5:
                    upd("SELECT repository_spare.id_spare, name_spare,quantity,cost,name_provider as 'Provider' FROM repository_spare,spare,providers where repository_spare.id_provider = providers.id_provider and repository_spare.id_spare = spare.id_spare", dataRepositoryShare, "name_spare");
                    addVariant(comboBox1, "providers", "name_provider", "id_provider");
                    addVariant(comboBox2, "spare", "name_spare", "id_spare");

                    dataRepositoryShare.Columns[4].ReadOnly = true;
                    dataRepositoryShare.Columns[3].ReadOnly = true;
                    dataRepositoryShare.Columns[2].ReadOnly = true;
                    dataRepositoryShare.Columns[1].ReadOnly = true;
                    dataRepositoryShare.Columns[0].ReadOnly = true;
                    break;
                case 6:
                    upd("SELECT id_spare,name_spare,name_type_spare,name_brand + ' ' + name_model + ' ' + year_of_release as 'avto' FROM spare,type_spare,brand where spare.id_brand =brand.id_brand and type_spare.id_type_spare = spare.id_type_spare", dataShare, "id_spare");
                    addVariant(comboBrand, "brand", "name_brand + ' ' + name_model + ' ' + year_of_release", "id_brand");
                    addVariant(comboType, "type_spare", "name_type_spare", "id_type_spare");
                    break;
                case 7:
                    upd("SELECT * FROM type_spare", dataShareType, "id_type_spare");
                    break;
                case 8:
                    upd("SELECT id_zakaz,convert(varchar(20),time_poch, 9) + ' ' + name_client+ ' ' + surname_client as 'Pochinka',name_spare, col_vo,stoim FROM zakaz,spare,poch,client where spare.id_spare = zakaz.id_spare and poch.id_client = client.id_client and poch.id_poch = zakaz.id_poch ", dataZakaz, "id_zakaz");
                    addVariant(comboPoc, "poch,client where poch.id_client = client.id_client", "convert(varchar(20),time_poch, 9) + ' ' + name_client+ ' ' + surname_client ", "id_poch");
                    addVariant(comboShare, "spare", "name_spare", "id_spare");

                    dataZakaz.Columns[3].ReadOnly = true;
                    dataZakaz.Columns[2].ReadOnly = true;
                    dataZakaz.Columns[1].ReadOnly = true;
                    dataZakaz.Columns[0].ReadOnly = true;
                    break;
                case 9:
                    upd("SELECT id_postav,name_provider,name_spare,quantity,time_post FROM postav,spare,providers where spare.id_spare = postav.id_spare and providers.id_provider= postav.id_provider", dataPost, "id_postav");
                    addVariant(comboSphare, "spare", "name_spare", "id_spare");
                    addVariant(comboProvider, "providers", "name_provider", "id_provider");
                    dataPost.Columns[4].ReadOnly = true;
                    dataPost.Columns[3].ReadOnly = true;
                    dataPost.Columns[2].ReadOnly = true;
                    dataPost.Columns[1].ReadOnly = true;
                    dataPost.Columns[0].ReadOnly = true;
                    break;
                default:
                    break;
            }
        }

        private void Main_Load(object sender, EventArgs e)
        {
            InitializeComponent();
            dataPeople.SelectionMode = DataGridViewSelectionMode.FullRowSelect;
            dataPeople.AllowUserToAddRows = false;


            conect.openConect(); ;
            adapter = new SqlDataAdapter("SELECT * FROM employees", conect.getConect());

            ds = new DataSet();
            adapter.Fill(ds);
            dataPeople.DataSource = ds.Tables[0];
            /// делаем недоступным столбец id для изменения
            dataPeople.Columns[""].ReadOnly = true;
            conect.closeConect();

        }


        public void del(string nTable, string nStol1, string nStol2, string zn1, string zn2, DataGridView data, DataGridViewRow row)
        {

            conect.openConect();

            var deleteQuery = "Delete from " + nTable + " where  " + nStol1 + "  = " + zn1 + " and " + nStol2 + "  = '" + zn2 + "'";
            var command = new SqlCommand(deleteQuery, conect.getConect());
            command.ExecuteNonQuery();

            data.Rows.Remove(row);

            conect.closeConect();


        }



        /// <summary>
        /// Методы для удаления строки в соответствующей таблице
        /// </summary>

        private void delBrand_Click(object sender, EventArgs e)
        {
            try
            {
                foreach (DataGridViewRow row in dataBrand.SelectedRows)
                {

                    string s1 = row.Cells[0].Value.ToString();
                    string s2 = row.Cells[2].Value.ToString();
                    del("brand", "id_brand", "name_model", s1, s2, dataBrand, row);
                }
            }
            catch
            {
                MessageBox.Show("Проверьте введенные значения");
            }

        }

        private void delClient_Click(object sender, EventArgs e)
        {
            try
            {
                foreach (DataGridViewRow row in dataClient.SelectedRows)
                {

                    string s1 = row.Cells[0].Value.ToString();
                    string s2 = row.Cells[1].Value.ToString();
                    del("client", "id_client", "name_client", s1, s2, dataClient, row);
                }
            }
            catch
            {
                MessageBox.Show("Проверьте введенные значения");
            }

        }

        private void delPoch_Click(object sender, EventArgs e)
        {
            try
            {
                foreach (DataGridViewRow row in dataPoch.SelectedRows)
                {

                    string s1 = row.Cells[0].Value.ToString();
                    string s2 = row.Cells[3].Value.ToString();
                    del("poch", "id_poch", "time_poch", s1, s2, dataPoch, row);
                }
            }
            catch
            {
                MessageBox.Show("У починки есть связанные заказы");
            }

        }

        private void delProviders_Click(object sender, EventArgs e)
        {
            try
            {
                foreach (DataGridViewRow row in dataProviders.SelectedRows)
                {

                    string s1 = row.Cells[0].Value.ToString();
                    string s2 = row.Cells[1].Value.ToString();
                    del("providers", "id_provider", "name_provider", s1, s2, dataProviders, row);
                }
            }
            catch
            {

                MessageBox.Show("Проверьте введенные значения");
            }

        }

        private void delRepositoryShare_Click(object sender, EventArgs e)
        {
            try
            {
                foreach (DataGridViewRow row in dataRepositoryShare.SelectedRows)
                {

                    string s1 = row.Cells[0].Value.ToString();
                    string s2 = row.Cells[2].Value.ToString();
                    del("repository_spare", "id_spare", "quantity", s1, s2, dataRepositoryShare, row);
                }
            }
            catch
            {
                MessageBox.Show("Проверьте введенные значения");
            }

        }

        private void delShare_Click(object sender, EventArgs e)
        {
            try
            {
                foreach (DataGridViewRow row in dataShare.SelectedRows)
                {

                    string s1 = row.Cells[0].Value.ToString();
                    string s2 = row.Cells[1].Value.ToString();
                    del("spare", "id_spare", "name_spare", s1, s2, dataShare, row);
                }
            }
            catch
            {

                MessageBox.Show("Проверьте введенные значения");
            }


        }

        private void delShareType_Click(object sender, EventArgs e)
        {
            try
            {
                foreach (DataGridViewRow row in dataShareType.SelectedRows)
                {

                    string s1 = row.Cells[0].Value.ToString();
                    string s2 = row.Cells[1].Value.ToString();
                    del("type_spare", "id_type_spare", "name_type_spare", s1, s2, dataShareType, row);
                }
            }
            catch
            {
                MessageBox.Show("Проверьте введенные значения");
            }

        }

        private void delZakaz_Click(object sender, EventArgs e)
        {
            try
            {
                foreach (DataGridViewRow row in dataZakaz.SelectedRows)
                {

                    string s1 = row.Cells[0].Value.ToString();
                    string s2 = row.Cells[4].Value.ToString();
                    del("zakaz", "id_zakaz", "stoim", s1, s2, dataZakaz, row);
                }
            }
            catch
            {
                MessageBox.Show("Проверьте введенные значения");
            }

        }

        /// <summary>
        /// проверка ввода почты
        /// </summary>
        /// <param name="email">почтовый адрес</param>
        /// <returns>значение соответствующее правильности введения данных</returns>
        public bool IsValidEmail(string email)
        {
            try
            {
                var mail = new System.Net.Mail.MailAddress(email);
                return true;
            }
            catch
            {
                return false;
            }
        }

        /// <summary>
        /// Добавление записей в таблицы черезполя формы, формирование запросов
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void savePeople_Click(object sender, EventArgs e)
        {
            try
            {
                conect.openConect();


                string n = textName.Text;
                string s = textSurname.Text;
                string p = textPatronymic.Text;
                string ph = maskedPhone.Text;
                string em = textEmail.Text;
                if (IsValidEmail(em) == false)
                {
                    MessageBox.Show("Ошибка при вводе данных");
                    conect.closeConect();
                    return;
                }
                string l = textLogin.Text;
                string pa = textPassword.Text.GetHashCode().ToString();
                string sex = comboSex.Text;
                string query = "Select *from employees where login = '" + l + "' and password = '" + pa + "'";
                SqlDataAdapter sda = new SqlDataAdapter(query, conect.getConect());
                DataTable dtbl = new DataTable();
                sda.Fill(dtbl);
                if (dtbl.Rows.Count == 0)
                {
                    var indert = "INSERT INTO employees (name, surname, patronymic,phone,email,login,password,sex) VALUES ('" + n + "','" + s + "','" + p + "','" + ph + "','" + em + "','" + l + "','" + pa + "','" + sex + "');";
                    var command = new SqlCommand(indert, conect.getConect());
                    command.ExecuteNonQuery();
                    upd("SELECT * FROM employees", dataPeople, "id_employee");

                }
                else
                {
                    MessageBox.Show("Логин занят");
                }



                conect.closeConect();
            }
            catch
            {
                MessageBox.Show("Проверьте введенные значения");
            }



        }
        private void saveBrand_Click(object sender, EventArgs e)
        {
            try
            {
                conect.openConect();


                string np = textBrand.Text;
                string ap = textModel.Text;
                string tp = maskedRealise.Text;

                var indert = "INSERT INTO brand (name_brand, name_model,year_of_release)VALUES ('" + np + "','" + ap + "','" + tp + "');";
                var command = new SqlCommand(indert, conect.getConect());
                command.ExecuteNonQuery();
                upd("SELECT * FROM brand", dataBrand, "id_brand");


                conect.closeConect();
            }
            catch
            {
                MessageBox.Show("Проверьте введенные значения");
            }


        }

        private void saveClient_Click(object sender, EventArgs e)
        {
            try
            {
                conect.openConect();


                string nc = textNameClient.Text;
                string sc = textSurnameClient.Text;
                string pc = maskedPhoneClient.Text;

                var indert = "INSERT INTO client (name_client, surname_client, phone_client) VALUES ('" + nc + "','" + sc + "','" + pc + "');";
                var command = new SqlCommand(indert, conect.getConect());
                command.ExecuteNonQuery();
                upd("SELECT * FROM client", dataClient, "id_client");


                conect.closeConect();
            }
            catch
            {

                MessageBox.Show("Проверьте введенные значения");
            }



        }

        private void savePoch_Click(object sender, EventArgs e)
        {
            try
            {
                conect.openConect();


                string ie = emploe.SelectedValue.ToString();
                string ic = Client.SelectedValue.ToString();
                string tp = maskedTamePoc.Text;


                var indert = "INSERT INTO poch (id_employ,id_client,time_poch) VALUES (" + ie + "," + ic + ",'" + tp + "');";
                var command = new SqlCommand(indert, conect.getConect());
                command.ExecuteNonQuery();
                upd("SELECT id_poch,name + ' ' + surname + ' ' +patronymic as 'Employee', name_client + ' ' + phone_client as 'Client',time_poch FROM poch, client,employees where client.id_client = poch.id_client and employees.id_employee=poch.id_employ", dataPoch, "id_poch");


                conect.closeConect();
            }
            catch
            {
                MessageBox.Show("Проверьте введенные значения");
            }



        }

        private void saveProviders_Click(object sender, EventArgs e)
        {
            try
            {
                conect.openConect();


                string nb = textNameProvider.Text;
                string nm = textAdress.Text;

                var indert = "INSERT INTO providers (name_provider, adress_provider) VALUES ('" + nb + "','" + nm + "');";
                var command = new SqlCommand(indert, conect.getConect());
                command.ExecuteNonQuery();
                upd("SELECT * FROM providers", dataProviders, "id_provider");



                conect.closeConect();
            }
            catch
            {
                MessageBox.Show("Проверьте введенные значения");
            }




        }

        private void saveRepositoryShare_Click(object sender, EventArgs e)
        {
            try
            {
                conect.openConect();


                string nb = comboBox2.SelectedValue.ToString();
                string nm = textQaniti.Text;
                string nb2 = textCoast.Text;
                string nm2 = comboBox1.SelectedValue.ToString();

                var indert = "INSERT INTO repository_spare (id_spare, quantity,cost,id_provider) VALUES (" + nb + "," + nm + "," + nb2 + "," + nm2 + ");";
                var command = new SqlCommand(indert, conect.getConect());
                command.ExecuteNonQuery();
                upd("SELECT repository_spare.id_spare, name_spare,quantity,cost,name_provider as 'Provider' FROM repository_spare,spare,providers where repository_spare.id_provider = providers.id_provider and repository_spare.id_spare = spare.id_spare", dataRepositoryShare, "name_spare");


                conect.closeConect();
            }
            catch
            {
                MessageBox.Show("Проверьте введенные значения");
            }




        }

        private void saveShare_Click(object sender, EventArgs e)
        {

            try
            {
                conect.openConect();


                string nb = textNameShare.Text;
                string nm = comboType.SelectedValue.ToString();
                string nm2 = comboBrand.SelectedValue.ToString();

                var indert = "INSERT INTO spare (name_spare,id_type_spare, id_brand) VALUES ('" + nb + "'," + nm + "," + nm2 + ");";
                var command = new SqlCommand(indert, conect.getConect());
                command.ExecuteNonQuery();
                upd("SELECT id_spare,name_spare,name_type_spare,name_brand + ' ' + name_model + ' ' + year_of_release as 'avto' FROM spare,type_spare,brand where spare.id_brand =brand.id_brand and type_spare.id_type_spare = spare.id_type_spare", dataShare, "id_spare");



                conect.closeConect();
            }
            catch
            {
                MessageBox.Show("Проверьте введенные значения");
            }



        }

        private void saveShareType_Click(object sender, EventArgs e)
        {

            try
            {
                conect.openConect();


                string nb = textNameTypeSpare.Text;

                var indert = "INSERT INTO type_spare (name_type_spare) VALUES ('" + nb + "');";
                var command = new SqlCommand(indert, conect.getConect());
                command.ExecuteNonQuery();
                upd("SELECT * FROM type_spare", dataShareType, "id_type_spare"); ;



                conect.closeConect();
            }
            catch
            {

                MessageBox.Show("Проверьте введенные значения");
            }


        }
        public double podschet(int c, int col) // Подсчет стоимости деталей в заказе
        {


            conect.openConect();
            SqlCommand sql = new SqlCommand("Select cost From repository_spare where id_spare =" + c + " ", conect.getConect());
            double i1 = Convert.ToDouble(sql.ExecuteScalar().ToString());
            conect.closeConect();
            return (i1 * col);

        }
        private void saveZakaz_Click(object sender, EventArgs e)
        {
            try
            {
                conect.openConect();


                string nb = textColvo.Text;
                if (Convert.ToInt32(textColvo.Text) <= 0)
                {
                    MessageBox.Show("Проверьте введенные значения");
                    return;
                }
                string nm = comboShare.SelectedValue.ToString();
                string nm2 = comboPoc.SelectedValue.ToString();
                string nm3 = Convert.ToString(Math.Round(podschet(Convert.ToInt32(comboShare.SelectedValue.ToString()), Convert.ToInt32(textColvo.Text)), 3));
                conect.openConect();
                var indert = "INSERT INTO zakaz (col_vo, id_spare,id_poch,stoim) VALUES (" + nb + "," + nm + "," + nm2 + "," + nm3 + ");";
                var command = new SqlCommand(indert, conect.getConect());
                command.ExecuteNonQuery();
                upd("SELECT id_zakaz,convert(varchar(20),time_poch, 9) + ' ' + name_client+ ' ' + surname_client as 'Pochinka',name_spare, col_vo,stoim FROM zakaz,spare,poch,client where spare.id_spare = zakaz.id_spare and poch.id_client = client.id_client and poch.id_poch = zakaz.id_poch ", dataZakaz, "id_zakaz");


                conect.closeConect();
            }
            catch
            {
                MessageBox.Show("Проверьте введенные значения");

            }


        }

        private void delPeople_Click(object sender, EventArgs e)
        {
            try
            {
                // удаляем выделенные строки из dataPeople
                foreach (DataGridViewRow row in dataPeople.SelectedRows)
                {
                    string s1 = "'" + row.Cells[6].Value.ToString() + "'";
                    string s2 = row.Cells[7].Value.ToString();
                    del("employees", "login", "password", s1, s2, dataPeople, row);
                }
            }
            catch
            {

                MessageBox.Show("Проверьте введенные значения");
            }

        }

        public static void addVariant(ComboBox cb, string nt, string ns1, string ns2)
        {
            DataBase conect = new DataBase();
            conect.openConect();
            string commText = "SELECT " + ns1 + " as 'dan', " + ns2 + " FROM " + nt; //читать все данные из таблицы Table1
            SqlCommand comm = new SqlCommand(commText, conect.getConect()); //создаем команду
            DataTable table = new DataTable();//данные будут записаны в этот объект DataTable 
            SqlDataAdapter adapter = new SqlDataAdapter(comm); //создаем адаптер
            adapter.Fill(table); //заполняем DataTable
            cb.DataSource = table; //устанавливаем для комбобокса источник данных
            cb.DisplayMember = "dan"; //отображаемое поле (данные из поля будут отображаться в комбобоксе)
            cb.ValueMember = ns2; //поле-значение (данные из этого поля будут записываться в свойство SelectedValue)
            conect.closeConect();

        }

        private void button1_Click(object sender, EventArgs e)
        {
            try
            {
                conect.openConect();


                string nb = comboProvider.SelectedValue.ToString();
                string nm = comboSphare.SelectedValue.ToString();
                string nb2 = textQuanity1.Text;
                if (Convert.ToInt32(textQuanity1.Text) <= 0)
                {
                    MessageBox.Show("Проверьте введенные значения");
                    return;
                }
                DateTime nm2 = Convert.ToDateTime(maskedDataPost.Text);

                var indert = "INSERT INTO postav (id_provider, id_spare,time_post,quantity) VALUES (" + nb + "," + nm + ",'" + maskedDataPost.Text + "'," + nb2 + ");";
                var command = new SqlCommand(indert, conect.getConect());
                command.ExecuteNonQuery();
                upd("SELECT id_postav,name_provider,name_spare,quantity,time_post FROM postav,spare,providers where spare.id_spare = postav.id_spare and providers.id_provider= postav.id_provider", dataPost, "id_postav");

                conect.openConect();

                indert = "update repository_spare set quantity = quantity + " + textQuanity1.Text + " where id_spare =" + comboSphare.SelectedValue.ToString() + " ";
                command = new SqlCommand(indert, conect.getConect());
                command.ExecuteNonQuery();

                conect.closeConect();
            }
            catch (Exception)
            {

                MessageBox.Show("Проверьте введенные значения");
            }


        }

        private void button2_Click(object sender, EventArgs e)
        {
            try
            {
                foreach (DataGridViewRow row in dataPost.SelectedRows)
                {
                    string s1 = row.Cells[0].Value.ToString();
                    string s2 = row.Cells[3].Value.ToString();
                    del("postav", "id_postav", "quantity", s1, s2, dataPost, row);
                }
            }
            catch (Exception)
            {
                MessageBox.Show("Проверьте введенные значения");
            }

        }


        private void Main_Load_1(object sender, EventArgs e)
        {
            upd("SELECT * FROM employees", dataPeople, "id_employee");
        }

        private void button3_Click(object sender, EventArgs e)
        {

            dataPeople.Columns[7].ReadOnly = false;
            dataPeople.Columns[6].ReadOnly = false;
            dataPeople.Columns[5].ReadOnly = false;
            dataPeople.Columns[4].ReadOnly = false;
            dataPeople.Columns[3].ReadOnly = false;
            dataPeople.Columns[2].ReadOnly = false;
            dataPeople.Columns[1].ReadOnly = false;

        }

        private void button4_Click(object sender, EventArgs e)
        {
            try
            {
                conect.openConect();
                foreach (DataGridViewRow row in dataPeople.SelectedRows)
                {

                    string n = row.Cells[1].Value.ToString();
                    string s = row.Cells[2].Value.ToString();
                    string p = row.Cells[3].Value.ToString();
                    string ph = row.Cells[4].Value.ToString();
                    string em = row.Cells[5].Value.ToString();
                    string l = row.Cells[6].Value.ToString();
                    string pa = row.Cells[7].Value.ToString();
                    string query = "Select *from employees where login = '" + l + "'";
                    SqlDataAdapter sda = new SqlDataAdapter(query, conect.getConect());
                    DataTable dtbl = new DataTable();
                    sda.Fill(dtbl);
                    if (dtbl.Rows.Count == 0)
                    {
                        var indert = "update employees set name = '" + n + "'," + "surname= '" + s + "'," + "patronymic= '" + p + "'," + "phone= '" + ph + "'," + "email= '" + em + "'," + "login= '" + l + "'," + "password= '" + pa.GetHashCode() + "' where id_employee =" + row.Cells[0].Value.ToString() + " ";
                        var command = new SqlCommand(indert, conect.getConect());
                        command.ExecuteNonQuery();
                    }
                    else
                    {
                        MessageBox.Show("Логин занят");
                    }

                }

                conect.closeConect();
            }
            catch (Exception)
            {
                MessageBox.Show("Проверьте введенные значения");
            }



        }

        private void button6_Click(object sender, EventArgs e)
        {
            dataClient.Columns[3].ReadOnly = false;
            dataClient.Columns[2].ReadOnly = false;
            dataClient.Columns[1].ReadOnly = false;
        }

        private void button5_Click(object sender, EventArgs e)
        {
            try
            {
                conect.openConect(); ;
                foreach (DataGridViewRow row in dataClient.SelectedRows)
                {

                    string n = row.Cells[1].Value.ToString();
                    string s = row.Cells[2].Value.ToString();
                    string p = row.Cells[3].Value.ToString();

                    var indert = "update client set name_client = '" + n + "'," + "surname_client= '" + s + "'," + "phone_client= '" + p + "' where id_client =" + row.Cells[0].Value.ToString() + " ";
                    var command = new SqlCommand(indert, conect.getConect());
                    command.ExecuteNonQuery();


                }

                conect.closeConect();
            }
            catch
            {
                MessageBox.Show("Проверьте введенные значения");
            }



        }

        private void button8_Click(object sender, EventArgs e)
        {


            dataRepositoryShare.Columns[3].ReadOnly = false;
            dataRepositoryShare.Columns[2].ReadOnly = false;
        }

        private void button7_Click(object sender, EventArgs e)
        {
            try
            {
                conect.openConect(); ;
                foreach (DataGridViewRow row in dataRepositoryShare.SelectedRows)
                {

                    string n = row.Cells[2].Value.ToString();
                    string s = row.Cells[3].Value.ToString();


                    var indert = "update repository_spare set quantity = '" + n + "'," + "cost= '" + s + "' where id_spare =" + row.Cells[0].Value.ToString() + " ";
                    var command = new SqlCommand(indert, conect.getConect());
                    command.ExecuteNonQuery();


                }

                conect.closeConect();
            }
            catch
            {
                MessageBox.Show("Проверьте введенные значения");
            }



        }

        private void button12_Click(object sender, EventArgs e)
        {
            dataZakaz.Columns[3].ReadOnly = false;
            dataZakaz.Columns[4].ReadOnly = false;
        }

        private void button11_Click(object sender, EventArgs e)
        {
            try
            {
                conect.openConect(); ;
                foreach (DataGridViewRow row in dataZakaz.SelectedRows)
                {

                    string n = row.Cells[3].Value.ToString();
                    string s = row.Cells[4].Value.ToString();


                    var indert = "update zakaz set col_vo = " + n + "," + "stoim= " + s + " where id_employee =" + row.Cells[0].Value.ToString() + " ";
                    var command = new SqlCommand(indert, conect.getConect());
                    command.ExecuteNonQuery();


                }

                conect.closeConect();
            }
            catch
            {
                MessageBox.Show("Проверьте введенные значения");
            }



        }

        private void maskedRealise_MaskInputRejected(object sender, MaskInputRejectedEventArgs e)
        {

        }

        private void comboProvider_SelectedIndexChanged(object sender, EventArgs e)
        {

        }

        private void label1_Click(object sender, EventArgs e)
        {

        }

        private void label2_Click(object sender, EventArgs e)
        {

        }

        private void comboSphare_SelectedIndexChanged(object sender, EventArgs e)
        {

        }

        private void tabPage1_Click(object sender, EventArgs e)
        {

        }
    }
}
